using System;

namespace TAKMICENJE_2_EKSKURZIJA
{
    class Program
    {
        struct Parametri
        {
            public int ucenika;
            public int bananica;
            public int grupa;
            public bool moguce;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            Parametri[] niz = new Parametri[n];
            for (int i = 0; i < n; i++)
            {
                string[] unos = Console.ReadLine().Split();
                niz[i].ucenika = int.Parse(unos[0]);
                niz[i].bananica = int.Parse(unos[1]);
                niz[i].grupa = int.Parse(unos[2]);
            }
            for (int i = 0; i < n; i++)
            {
                int temp = niz[i].ucenika / niz[i].grupa;
                int visak = niz[i].ucenika % niz[i].grupa;
                int[] potrebno = new int[niz[i].grupa];
                for (int j = 0; j < niz[i].grupa; j++) potrebno[j] = temp;
                int brojac = 0;
                while (visak > 0)
                {
                    if (brojac > niz[i].grupa)
                    {
                        brojac = 0;
                    }
                    potrebno[brojac]++;
                    brojac++;
                    visak--;
                }
                int provera = 0;
                for (int j = 0; j < niz[i].grupa; j++)
                {
                    provera += potrebno[j] % 2 == 0 ? potrebno[j] / 2 * (potrebno[j] + 1) : potrebno[j] / 2 * (potrebno[j] + 1) + potrebno[j] / 2 + 1;
                }
                niz[i].moguce = provera <= niz[i].bananica ? true : false;
            }
            for (int i = 0; i < n; i++)
            {
                if (niz[i].moguce)
                    Console.WriteLine("Tak");
                else
                    Console.WriteLine("Nie");
            }
        }
    }
}